<?php

	class Gallery extends CI_Controller
	{
		
		function __construct()
		{
			parent::__construct();
		}
		
		function index($gc = null)
		{
			$this->load->library('pagination');
			
			$config['base_url'] = site_url('gallery');
			
			$config['total_rows'] = $this->db->get_where('gallery_category')->num_rows();
			
			$config['per_page'] = '10';
			$config['uri_segment'] = '2';
			
			$this->pagination->initialize($config);

			$view['page'] = $this->pagination->create_links();
			
			$view['data'] = $this->db->from('gallery_category')
							   ->limit($config['per_page'])
							   ->offset($this->uri->segment(2))
							   ->get()
							   ->result();					   

			$this->layout->view('gallery',$view);
		}
		
		function detail($gc = null)
		{
			$view['gl'] = $this->db->from('gallery')
									  ->join('gallery_category','gallery.gc_id = gallery_category.gc_id')
									  ->join('file','file.file_id = gallery.file_id')
									  ->where('gallery_category.gc_id',$gc)
									  ->get();
			$view['gl'] = $view['gl']->result();
			$this->layout->view('gallery_detail',$view);
		}
		
	}