<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

/*
 * Copyright 2011 (c) Mario Damianus
 * For SpitzerGlobal 
 * Mischa Project (CMS)
 * Authentication Controller
 */

final class Admin extends MY_Controller 
{
	
	/*
	 * @properties
	 */
	private $username;
	private $password;
	
	// Constructor
	public function __construct()
	{
		parent::__construct();
	}
	
	// Change Password
	public function chpass()
	{
		if($_POST)
		{
			if($this->form_validation->run('chpass'))
			{
				$this->db->update('user',array('pass' => sha1($this->input->post('new'))));
				
				$this->session->set_flashdata('chpass','Your password has been changed successfully');
				
				redirect('admin/chpass');
			} 
			else 
			{
				$this->layout->view('admin/chpass');
			}
		}
		else
		{
			$this->layout->view('admin/chpass');
		}
	}
	
	public function check_current_pass()
	{
		$old = $this->db->get_where('user',array('pass' => sha1($this->input->post('old'))));
		
		if($old->num_rows() == 1)
		{
			return TRUE;
		}
		else
		{
			$this->form_validation->set_message('check_current_pass','Wrong old password');
			return FALSE;
		}
		
	}

}

/* End of file auth.php */
/* Location: ./application/controllers/auth.php */