<?php if ( ! defined('BASEPATH')) exit('No direct script agcess allowed');

class Model_gallery extends CI_Model {
	
	private $res;
	
	public function __glnstruct() 
	{
		parent::__glnstruct();
	}
	
	public function read_gallery_by_gl_id($gl_id)
	{
		$this->res = $this->db->from('gallery')
							  ->join('file','gallery.file_id = file.file_id')
							  ->where('gl_id',$gl_id)
							  ->get();
		return $this->res->row();
	}
	
	public function read_gallery_by_gc_id_num_row($gc_id)
	{
		$this->res = $this->db->get_where('gallery',
						array(
							'gc_id' => $gc_id
						)
					 );
		return $this->res->num_rows();
	}
	
	public function read_gallery_by_gc_id($gc_id,$offset,$per_page)
	{
		$this->res = $this->db
							  //->limit($per_page)
							  //->offset($offset)
							  ->get_where('gallery',
						array(
							'gc_id' => $gc_id
						)
					 );
		return $this->res->result();
	}
	
	public function update($gl_id,$title,$des,$date,$file_id)
	{
		$this->db->where('gl_id',$gl_id)
			     ->update('gallery',
			array(
				'gl_title' => $title,
				'gl_des'   => $des,
				'gl_date'  => $date,
				'file_id'  => $file_id
			)
		);
	}
	
	public function insert($title,$des,$date,$file_id,$gc_id)
	{
		$this->db->insert('gallery',
			array(
				'gl_title' => $title,
				'gl_des'   => $des,
				'gl_date'  => $date,
				'file_id'  => $file_id,
				'gc_id'    => $gc_id
			)
		);
	}
	
	public function delete($gl_id)
	{
		$this->db->where('gl_id',$gl_id)
			     ->delete('gallery');
	}
	
}