<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Model_content extends CI_Model {
	
	private $res;
	
	public function __construct() 
	{
		parent::__construct();
	}
	
	public function read_content_by_co_id($co_id)
	{
		$this->res = $this->db->from('content')
							  ->join('file','content.file_id = file.file_id')
							  ->where('co_id',$co_id)
							  ->get();
		return $this->res->row();
	}
	
	public function read_content_by_cc_id_num_row($cc_id)
	{
		$this->res = $this->db->get_where('content',
						array(
							'cc_id' => $cc_id
						)
					 );
		return $this->res->num_rows();
	}
	
	public function read_content_by_cc_id($cc_id,$offset,$per_page)
	{
		$this->res = $this->db
							  //->limit($per_page)
							  //->offset($offset)
							  ->get_where('content',
						array(
							'cc_id' => $cc_id
						)
					 );
		return $this->res->result();
	}
	
	public function update($co_id,$title,$des,$date,$file_id)
	{
		$this->db->where('co_id',$co_id)
			     ->update('content',
			array(
				'co_title' => $title,
				'co_des'   => $des,
				'co_date'  => $date,
				'file_id'  => $file_id
			)
		);
	}
	
	public function insert($title,$des,$date,$file_id,$cc_id)
	{
		$this->db->insert('content',
			array(
				'co_title' => $title,
				'co_des'   => $des,
				'co_date'  => $date,
				'file_id'  => $file_id,
				'cc_id'    => $cc_id
			)
		);
	}
	
	public function delete($co_id)
	{
		$this->db->where('co_id',$co_id)
			     ->delete('content');
	}
	
}