<?php

	class Contact extends CI_Controller
	{
		
		function __construct()
		{
			parent::__construct();
			$this->load->library('form_validation');
			$this->load->library('email');
		}
		
		function index()
		{
			if($_POST) {
			
			
			$this->form_validation->set_message('required', 'Required');
			$this->form_validation->set_message('valid_email', 'Invalid Email Address');
			
			$this->form_validation->set_rules('name', 'Name', 'required');
			$this->form_validation->set_rules('email', 'Email', 'required|valid_email');
			$this->form_validation->set_rules('telephone', 'Telephone', 'required');
			$this->form_validation->set_rules('subject', 'Subject', 'required');
			$this->form_validation->set_rules('message', 'Message', 'required');
			
				if ($this->form_validation->run() == TRUE)
				{
				
					$message = 'Telephone : '.$this->input->post('telephone')."\n";
					$message .= 'Message : '.$this->input->post('message')."\n";
					
					$this->email->to('achillez_immortal_89@yahoo.com');
					$this->email->from($this->input->post('email'));
					$this->email->subject($this->input->post('subject'));
					$this->email->message($message);
					$this->email->send();
					$this->session->set_flashdata('contact','Thanks for contact us');
					redirect('contact');
				}
				else
				{
					$this->layout->view('contact');
				}
				
				
			} else {
				$this->layout->view('contact');
			}
			
		}
		
	}